Bug 1374061 - pmap -x shows all lines twice
Summary: pmap -x shows all lines twice
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: procps-ng
Version: 27
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Rybar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Upstream
Depends On:
Blocks: 1330417 1589913
TreeView+ depends on / blocked
 
Reported: 2016-09-07 20:31 UTC by Yaakov Selkowitz
Modified: 2018-06-15 15:49 UTC (History)
3 users (show)

(edit)
Clone Of:
: 1589913 (view as bug list)
(edit)
Last Closed: 2018-06-15 15:49:53 UTC


Attachments (Terms of Use)
Patch for f24/f25/rawhide (8.72 KB, patch)
2016-09-07 20:42 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Yaakov Selkowitz 2016-09-07 20:31:36 UTC
Description of problem:
Since kernel 4.4, pmap -x $$ shows all lines twice, second occurrence with 0 values.

Version-Release number of selected component (if applicable):
procps-ng-3.3.10-11.fc24

How reproducible:
100% with kernel-4.4+

Steps to Reproduce:
1. pmap -x $$

Actual results:
12012:   -bash
Address           Kbytes     RSS   Dirty Mode  Mapping
000055cccbc1e000     992     904       0 r-x-- bash
000055cccbc1e000       0       0       0 r-x-- bash         <-----
000055cccbf15000      16      16      16 r---- bash
000055cccbf15000       0       0       0 r---- bash         <-----
000055cccbf19000      36      36      36 rw--- bash
000055cccbf19000       0       0       0 rw--- bash         <-----
000055cccbf22000      20      20      20 rw---   [ anon ]
000055cccbf22000       0       0       0 rw---   [ anon ]   <-----
000055cccd839000    1584    1556    1556 rw---   [ anon ]
000055cccd839000       0       0       0 rw---   [ anon ]   <-----
00007fc6cdcba000  107976     436       0 r---- locale-archive
00007fc6cdcba000       0       0       0 r---- locale-archive          <-----
00007fc6d4632000      44      44       0 r-x-- libnss_files-2.23.so
00007fc6d4632000       0       0       0 r-x-- libnss_files-2.23.so    <-----
[snip]


Expected results:
12012:   -bash
Address           Kbytes     RSS   Dirty Mode  Mapping
000055cccbc1e000     992     904       0 r-x-- bash
000055cccbf15000      16      16      16 r---- bash
000055cccbf19000      36      36      36 rw--- bash
000055cccbf22000      20      20      20 rw---   [ anon ]
000055cccd839000    1584    1556    1556 rw---   [ anon ]
00007fc6cdcba000  107976     436       0 r---- locale-archive
00007fc6d4632000      44      44       0 r-x-- libnss_files-2.23.so
[snip]

Additional info:
https://bugzilla.opensuse.org/show_bug.cgi?id=962275

Comment 1 Yaakov Selkowitz 2016-09-07 20:42 UTC
Created attachment 1198833 [details]
Patch for f24/f25/rawhide

This builds successfully on F24:

http://koji.fedoraproject.org/koji/taskinfo?taskID=15534248

But, regardless of this change, since F25 this package does not build due to 
library/packaging changes in systemd:

http://koji.fedoraproject.org/koji/taskinfo?taskID=15534244
http://koji.fedoraproject.org/koji/taskinfo?taskID=15534229

Comment 2 Fedora End Of Life 2017-07-25 22:53:53 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Jan Rybar 2017-07-26 12:25:36 UTC
To be fixed soon by rebase to the newest procps upstream version (which shall be released in near time)

Comment 4 Jan Kurik 2017-08-15 08:19:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 5 Jan Rybar 2018-06-11 11:24:49 UTC
Fixed in Rawhide by rebase to newer version 3.3.13 and above.

Comment 6 Fedora Update System 2018-06-11 14:11:00 UTC
procps-ng-3.3.12-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1030c76e07

Comment 7 Jan Rybar 2018-06-11 14:13:52 UTC
Update with fix sent to testing for F28.
Fixed in Rawhide already.

Comment 8 Fedora Update System 2018-06-12 15:11:27 UTC
procps-ng-3.3.12-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1030c76e07

Comment 9 Fedora Update System 2018-06-15 15:49:53 UTC
procps-ng-3.3.12-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.